package com.chenyang.druid.sql.dialect.dm.ast.stmt;

import com.chenyang.druid.sql.ast.SQLExpr;
import com.chenyang.druid.sql.ast.SQLName;
import com.chenyang.druid.sql.ast.SQLSubPartition;
import com.chenyang.druid.sql.ast.statement.SQLAlterTableItem;
import com.chenyang.druid.sql.dialect.dm.ast.DmSQLObjectImpl;
import com.chenyang.druid.sql.dialect.dm.visitor.DmASTVisitor;
import java.util.ArrayList;
import java.util.List;

public class DmAlterTableSetPartitionTemplate extends DmSQLObjectImpl implements SQLAlterTableItem {
   protected List<SQLSubPartition> subPartitionTemplate = new ArrayList();
   protected SQLExpr subPartitionsCount;
   protected List<SQLName> storeIn = new ArrayList();

   public void accept0(DmASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.subPartitionTemplate);
      }

      visitor.endVisit(this);
   }

   public List<SQLSubPartition> getSubPartitionTemplate() {
      return this.subPartitionTemplate;
   }

   public void setSubPartitionTemplate(List<SQLSubPartition> subPartitionTemplate) {
      this.subPartitionTemplate = subPartitionTemplate;
   }

   public SQLExpr getSubPartitionsCount() {
      return this.subPartitionsCount;
   }

   public void setSubPartitionsCount(SQLExpr subPartitionsCount) {
      this.subPartitionsCount = subPartitionsCount;
   }

   public List<SQLName> getStoreIn() {
      return this.storeIn;
   }

   public void setStoreIn(List<SQLName> storeIn) {
      this.storeIn = storeIn;
   }
}
